### Class

# WebKit2 URISchemeRequest

#### Description [src]

    class WebKit2.URISchemeRequest : GObject.Object {
      parent: GObject
    }

Represents a URI scheme request.

If you register a particular URI scheme in a `WebKitWebContext`, using webkit_web_context_register_uri_scheme(), you have to provide a `WebKitURISchemeRequestCallback`. After that, when a URI request is made with that particular scheme, your callback will be called. There you will be able to access properties such as the scheme, the URI and path, and the `WebKitWebView` that initiated the request, and also finish the request with webkit_uri_scheme_request_finish().

#### Ancestors

- GObject

#### Instance methods

###### webkit_uri_scheme_request_finish

Finish a `WebKitURISchemeRequest` by setting the contents of the request and its mime type.

###### webkit_uri_scheme_request_finish_error

Finish a `WebKitURISchemeRequest` with a `GError`.

since: 2.2

###### webkit_uri_scheme_request_finish_with_response

Finish a `WebKitURISchemeRequest` by returning a `WebKitURISchemeResponse`.

since: 2.36

###### webkit_uri_scheme_request_get_http_headers

Get the `SoupMessageHeaders` of the request.

since: 2.36

###### webkit_uri_scheme_request_get_http_method

Get the HTTP method of the `request`.

since: 2.36

###### webkit_uri_scheme_request_get_path

Get the URI path of `request`.

###### webkit_uri_scheme_request_get_scheme

Get the URI scheme of `request`.

###### webkit_uri_scheme_request_get_uri

Get the URI of `request`.

###### webkit_uri_scheme_request_get_web_view

Get the `WebKitWebView` that initiated the request.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2URISchemeRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`_webkit_reserved0: void (* _webkit_reserved0) ( void )`
  No description available.
`_webkit_reserved1: void (* _webkit_reserved1) ( void )`
  No description available.
`_webkit_reserved2: void (* _webkit_reserved2) ( void )`
  No description available.
`_webkit_reserved3: void (* _webkit_reserved3) ( void )`
  No description available.